package b4a.example;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        mostCurrent = this;
		if (processBA == null) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.setActivityPaused(true);
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null)
            return;
        if (this != mostCurrent)
			return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        if (mostCurrent != null)
            processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
            main mc = mostCurrent;
			if (mc == null || mc != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
            if (mc != mostCurrent)
                return;
		    processBA.raiseEvent(mc._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }

public anywheresoftware.b4a.keywords.Common __c = null;
public static boolean _vbmayusculas = false;
public static boolean _vbminusculas = false;
public static String _vsproteccion = "";
public anywheresoftware.b4a.objects.IME _ime = null;
public anywheresoftware.b4a.objects.ButtonWrapper _botcerrar = null;
public anywheresoftware.b4a.objects.LabelWrapper _label1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label2 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _botconversor = null;
public anywheresoftware.b4a.objects.LabelWrapper _label3 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label4 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label5 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label6 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label7 = null;
public static long _lycantidad = 0L;
public static int _lycentavos = 0;
public static long _wnum = 0L;
public static String _wletra1 = "";
public static String _wletra2 = "";
public static String _wletra3 = "";
public static String _wletra4 = "";
public static String _wletra5 = "";
public static boolean _wencontro = false;
public static String _vgletras = "";
public static String _wletras = "";
public static String[] _wdecena = null;
public static String[] _wdecenamil = null;
public static int _r = 0;
public static int _s = 0;
public static int _p = 0;
public static int _paso = 0;
public static String[] _wcentena = null;
public static String _vsvalor = "";
public static String _vssalida1 = "";
public static String _vssalida2 = "";
public static String _vssalida3 = "";
public anywheresoftware.b4a.objects.ButtonWrapper _botlimpiar = null;
public static int _colactive = 0;
public static int _colinactive = 0;
public static boolean _wpase = false;
public b4a.example.starter _starter = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 93;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 95;BA.debugLine="Activity.LoadLayout(\"MenuP\")";
mostCurrent._activity.LoadLayout("MenuP",mostCurrent.activityBA);
 //BA.debugLineNum = 96;BA.debugLine="If wPase = False Then";
if (_wpase==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 97;BA.debugLine="Label3_Click";
_label3_click();
 //BA.debugLineNum = 98;BA.debugLine="wPase = True";
_wpase = anywheresoftware.b4a.keywords.Common.True;
 };
 //BA.debugLineNum = 100;BA.debugLine="IME.Initialize(\"IME\")";
mostCurrent._ime.Initialize("IME");
 //BA.debugLineNum = 101;BA.debugLine="IME.SetCustomFilter(EditText1, EditText1.INPUT_TY";
mostCurrent._ime.SetCustomFilter((android.widget.EditText)(mostCurrent._edittext1.getObject()),mostCurrent._edittext1.INPUT_TYPE_NUMBERS,"0123456789,");
 //BA.debugLineNum = 103;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 109;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 111;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 105;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 107;BA.debugLine="End Sub";
return "";
}
public static String  _analisis() throws Exception{
 //BA.debugLineNum = 278;BA.debugLine="Sub Analisis";
 //BA.debugLineNum = 279;BA.debugLine="If  wNum < 100 Then";
if (_wnum<100) { 
 //BA.debugLineNum = 280;BA.debugLine="If Paso <> 1 Then";
if (_paso!=1) { 
 //BA.debugLineNum = 281;BA.debugLine="If wNum = 1 Or wNum = 21 Or wNum = 31 Or wNum";
if (_wnum==1 || _wnum==21 || _wnum==31 || _wnum==41 || _wnum==51 || _wnum==61 || _wnum==71 || _wnum==81 || _wnum==91) { 
 //BA.debugLineNum = 282;BA.debugLine="wLetras = wDecenaMil(wNum)";
mostCurrent._wletras = mostCurrent._wdecenamil[(int) (_wnum)];
 }else {
 //BA.debugLineNum = 284;BA.debugLine="wLetras = wDecena(wNum)";
mostCurrent._wletras = mostCurrent._wdecena[(int) (_wnum)];
 };
 }else {
 //BA.debugLineNum = 287;BA.debugLine="wLetras = wDecena(wNum)";
mostCurrent._wletras = mostCurrent._wdecena[(int) (_wnum)];
 };
 }else {
 //BA.debugLineNum = 290;BA.debugLine="If wNum = 100 Then";
if (_wnum==100) { 
 //BA.debugLineNum = 291;BA.debugLine="wLetras = \"Cien\"";
mostCurrent._wletras = "Cien";
 }else {
 //BA.debugLineNum = 293;BA.debugLine="R = Floor(wNum / 100)";
_r = (int) (anywheresoftware.b4a.keywords.Common.Floor(_wnum/(double)100));
 //BA.debugLineNum = 294;BA.debugLine="wLetras = wCentena(R)";
mostCurrent._wletras = mostCurrent._wcentena[_r];
 //BA.debugLineNum = 295;BA.debugLine="S = (R * 100)";
_s = (int) ((_r*100));
 //BA.debugLineNum = 296;BA.debugLine="R = (wNum - S)";
_r = (int) ((_wnum-_s));
 //BA.debugLineNum = 297;BA.debugLine="If R > 0 Then";
if (_r>0) { 
 //BA.debugLineNum = 298;BA.debugLine="If Paso <> 1 Then";
if (_paso!=1) { 
 //BA.debugLineNum = 299;BA.debugLine="If R = 1 Or R = 21 Or R = 31 Or R = 41 Or R";
if (_r==1 || _r==21 || _r==31 || _r==41 || _r==51 || _r==61 || _r==71 || _r==81 || _r==91) { 
 //BA.debugLineNum = 300;BA.debugLine="wLetras =  wLetras & \" \" & wDecenaMil(R)";
mostCurrent._wletras = mostCurrent._wletras+" "+mostCurrent._wdecenamil[_r];
 }else {
 //BA.debugLineNum = 302;BA.debugLine="wLetras = wLetras & \" \" & wDecena(R)";
mostCurrent._wletras = mostCurrent._wletras+" "+mostCurrent._wdecena[_r];
 };
 }else {
 //BA.debugLineNum = 305;BA.debugLine="wLetras = wLetras & \" \" & wDecena(R)";
mostCurrent._wletras = mostCurrent._wletras+" "+mostCurrent._wdecena[_r];
 };
 };
 };
 };
 //BA.debugLineNum = 310;BA.debugLine="End Sub";
return "";
}
public static String  _botcerrar_click() throws Exception{
 //BA.debugLineNum = 274;BA.debugLine="Sub BotCerrar_Click";
 //BA.debugLineNum = 275;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 276;BA.debugLine="End Sub";
return "";
}
public static String  _botconversor_click() throws Exception{
String[] _partes = null;
String _cadena = "";
String _cifra = "";
int _n = 0;
 //BA.debugLineNum = 113;BA.debugLine="Sub BotConversor_Click";
 //BA.debugLineNum = 114;BA.debugLine="If EditText1 <> Null Then";
if (mostCurrent._edittext1!= null) { 
 //BA.debugLineNum = 115;BA.debugLine="Dim partes() As String";
_partes = new String[(int) (0)];
java.util.Arrays.fill(_partes,"");
 //BA.debugLineNum = 116;BA.debugLine="partes = Regex.Split(\"\\,\", EditText1.Text)";
_partes = anywheresoftware.b4a.keywords.Common.Regex.Split("\\,",mostCurrent._edittext1.getText());
 //BA.debugLineNum = 117;BA.debugLine="If partes(0) <> Null Then";
if (_partes[(int) (0)]!= null) { 
 //BA.debugLineNum = 118;BA.debugLine="If  IsNumber(partes(0))Then";
if (anywheresoftware.b4a.keywords.Common.IsNumber(_partes[(int) (0)])) { 
 //BA.debugLineNum = 119;BA.debugLine="lyCantidad=partes(0)";
_lycantidad = (long)(Double.parseDouble(_partes[(int) (0)]));
 }else {
 //BA.debugLineNum = 121;BA.debugLine="lyCantidad=0";
_lycantidad = (long) (0);
 };
 }else {
 //BA.debugLineNum = 124;BA.debugLine="lyCantidad=0";
_lycantidad = (long) (0);
 };
 //BA.debugLineNum = 126;BA.debugLine="lyCentavos=0";
_lycentavos = (int) (0);
 //BA.debugLineNum = 127;BA.debugLine="wEncontro = False";
_wencontro = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 128;BA.debugLine="BuscarDecimales";
_buscardecimales();
 //BA.debugLineNum = 129;BA.debugLine="If	wEncontro = True  Then";
if (_wencontro==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 130;BA.debugLine="If  partes(1) <> Null Then";
if (_partes[(int) (1)]!= null) { 
 //BA.debugLineNum = 131;BA.debugLine="If  IsNumber(partes(1))Then";
if (anywheresoftware.b4a.keywords.Common.IsNumber(_partes[(int) (1)])) { 
 //BA.debugLineNum = 132;BA.debugLine="lyCentavos=partes(1)";
_lycentavos = (int)(Double.parseDouble(_partes[(int) (1)]));
 }else {
 //BA.debugLineNum = 134;BA.debugLine="lyCentavos=0";
_lycentavos = (int) (0);
 };
 }else {
 //BA.debugLineNum = 137;BA.debugLine="lyCentavos=0";
_lycentavos = (int) (0);
 };
 };
 //BA.debugLineNum = 140;BA.debugLine="If lyCantidad > 999999999999999 Then";
if (_lycantidad>999999999999999L) { 
 //BA.debugLineNum = 141;BA.debugLine="Msgbox(\"No se puede convertir datos mayor a 1";
anywheresoftware.b4a.keywords.Common.Msgbox(BA.ObjectToCharSequence("No se puede convertir datos mayor a 15 digitos enteros y con 2 decimales."),BA.ObjectToCharSequence("Mensaje al operador/a"),mostCurrent.activityBA);
 //BA.debugLineNum = 142;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 144;BA.debugLine="If lyCentavos > 99 Then";
if (_lycentavos>99) { 
 //BA.debugLineNum = 145;BA.debugLine="Msgbox(\"No se puede convertir datos mayor a 2 d";
anywheresoftware.b4a.keywords.Common.Msgbox(BA.ObjectToCharSequence("No se puede convertir datos mayor a 2 decimales."),BA.ObjectToCharSequence("Mensaje al operador/a"),mostCurrent.activityBA);
 //BA.debugLineNum = 146;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 148;BA.debugLine="Dim cadena As String";
_cadena = "";
 //BA.debugLineNum = 149;BA.debugLine="Dim cifra As String";
_cifra = "";
 //BA.debugLineNum = 150;BA.debugLine="cadena = lyCantidad";
_cadena = BA.NumberToString(_lycantidad);
 //BA.debugLineNum = 151;BA.debugLine="wLetra1 = \"000\"";
mostCurrent._wletra1 = "000";
 //BA.debugLineNum = 152;BA.debugLine="wLetra2 = \"000\"";
mostCurrent._wletra2 = "000";
 //BA.debugLineNum = 153;BA.debugLine="wLetra3 = \"000\"";
mostCurrent._wletra3 = "000";
 //BA.debugLineNum = 154;BA.debugLine="wLetra4 = \"000\"";
mostCurrent._wletra4 = "000";
 //BA.debugLineNum = 155;BA.debugLine="wLetra5 = \"000\"";
mostCurrent._wletra5 = "000";
 //BA.debugLineNum = 156;BA.debugLine="If cadena.Length > 0 And cadena.Length < 16 Then";
if (_cadena.length()>0 && _cadena.length()<16) { 
 //BA.debugLineNum = 157;BA.debugLine="wLetra1 = \"\"";
mostCurrent._wletra1 = "";
 //BA.debugLineNum = 158;BA.debugLine="wLetra2 = \"\"";
mostCurrent._wletra2 = "";
 //BA.debugLineNum = 159;BA.debugLine="wLetra3 = \"\"";
mostCurrent._wletra3 = "";
 //BA.debugLineNum = 160;BA.debugLine="wLetra4 = \"\"";
mostCurrent._wletra4 = "";
 //BA.debugLineNum = 161;BA.debugLine="wLetra5 = \"\"";
mostCurrent._wletra5 = "";
 //BA.debugLineNum = 162;BA.debugLine="cifra = \"\"";
_cifra = "";
 //BA.debugLineNum = 163;BA.debugLine="For n = (cadena.Length + 1) To 15";
{
final int step50 = 1;
final int limit50 = (int) (15);
_n = (int) ((_cadena.length()+1)) ;
for (;_n <= limit50 ;_n = _n + step50 ) {
 //BA.debugLineNum = 164;BA.debugLine="cifra = cifra & \"0\"";
_cifra = _cifra+"0";
 }
};
 //BA.debugLineNum = 166;BA.debugLine="cifra = cifra & cadena";
_cifra = _cifra+_cadena;
 };
 //BA.debugLineNum = 168;BA.debugLine="For n = 1 To  cifra.Length";
{
final int step55 = 1;
final int limit55 = _cifra.length();
_n = (int) (1) ;
for (;_n <= limit55 ;_n = _n + step55 ) {
 //BA.debugLineNum = 169;BA.debugLine="If n > 12 And n < 16 Then";
if (_n>12 && _n<16) { 
 //BA.debugLineNum = 170;BA.debugLine="wLetra1 = wLetra1 & cifra.SubString2(n-1,n)";
mostCurrent._wletra1 = mostCurrent._wletra1+_cifra.substring((int) (_n-1),_n);
 };
 //BA.debugLineNum = 172;BA.debugLine="If n > 9 And n < 13 Then";
if (_n>9 && _n<13) { 
 //BA.debugLineNum = 173;BA.debugLine="wLetra2 = wLetra2 & cifra.SubString2(n-1,n)";
mostCurrent._wletra2 = mostCurrent._wletra2+_cifra.substring((int) (_n-1),_n);
 };
 //BA.debugLineNum = 175;BA.debugLine="If n > 6 And n < 10 Then";
if (_n>6 && _n<10) { 
 //BA.debugLineNum = 176;BA.debugLine="wLetra3 = wLetra3 & cifra.SubString2(n-1,n)";
mostCurrent._wletra3 = mostCurrent._wletra3+_cifra.substring((int) (_n-1),_n);
 };
 //BA.debugLineNum = 178;BA.debugLine="If n > 3 And n < 7 Then";
if (_n>3 && _n<7) { 
 //BA.debugLineNum = 179;BA.debugLine="wLetra4 = wLetra4 & cifra.SubString2(n-1,n)";
mostCurrent._wletra4 = mostCurrent._wletra4+_cifra.substring((int) (_n-1),_n);
 };
 //BA.debugLineNum = 181;BA.debugLine="If n > 0 And n < 4 Then";
if (_n>0 && _n<4) { 
 //BA.debugLineNum = 182;BA.debugLine="wLetra5 = wLetra5 & cifra.SubString2(n-1,n)";
mostCurrent._wletra5 = mostCurrent._wletra5+_cifra.substring((int) (_n-1),_n);
 };
 }
};
 //BA.debugLineNum = 186;BA.debugLine="vgLetras = \"\"";
mostCurrent._vgletras = "";
 //BA.debugLineNum = 187;BA.debugLine="If wLetra5 <> \"000\" Then";
if ((mostCurrent._wletra5).equals("000") == false) { 
 //BA.debugLineNum = 188;BA.debugLine="wNum = wLetra5";
_wnum = (long)(Double.parseDouble(mostCurrent._wletra5));
 //BA.debugLineNum = 189;BA.debugLine="Paso = 5";
_paso = (int) (5);
 //BA.debugLineNum = 190;BA.debugLine="wLetras = \"\"";
mostCurrent._wletras = "";
 //BA.debugLineNum = 191;BA.debugLine="If wNum = 1 Then";
if (_wnum==1) { 
 //BA.debugLineNum = 192;BA.debugLine="wLetras = \"Un Billon\"";
mostCurrent._wletras = "Un Billon";
 }else {
 //BA.debugLineNum = 194;BA.debugLine="Analisis";
_analisis();
 //BA.debugLineNum = 195;BA.debugLine="wLetras = wLetras & \" Billones\"";
mostCurrent._wletras = mostCurrent._wletras+" Billones";
 };
 //BA.debugLineNum = 197;BA.debugLine="If vgLetras <> \"\" And wLetras <> \"\" Then";
if ((mostCurrent._vgletras).equals("") == false && (mostCurrent._wletras).equals("") == false) { 
 //BA.debugLineNum = 198;BA.debugLine="vgLetras = vgLetras & \" \"";
mostCurrent._vgletras = mostCurrent._vgletras+" ";
 };
 //BA.debugLineNum = 200;BA.debugLine="vgLetras = wLetras";
mostCurrent._vgletras = mostCurrent._wletras;
 };
 //BA.debugLineNum = 202;BA.debugLine="If wLetra4 <> \"000\" Then";
if ((mostCurrent._wletra4).equals("000") == false) { 
 //BA.debugLineNum = 203;BA.debugLine="wNum = wLetra4";
_wnum = (long)(Double.parseDouble(mostCurrent._wletra4));
 //BA.debugLineNum = 204;BA.debugLine="Paso = 4";
_paso = (int) (4);
 //BA.debugLineNum = 205;BA.debugLine="wLetras = \"\"";
mostCurrent._wletras = "";
 //BA.debugLineNum = 206;BA.debugLine="If wNum = 1 Then";
if (_wnum==1) { 
 //BA.debugLineNum = 207;BA.debugLine="wLetras = \"Un Mil Millon\"";
mostCurrent._wletras = "Un Mil Millon";
 }else {
 //BA.debugLineNum = 209;BA.debugLine="Analisis";
_analisis();
 //BA.debugLineNum = 210;BA.debugLine="wLetras = wLetras & \" Mil Millones\"";
mostCurrent._wletras = mostCurrent._wletras+" Mil Millones";
 };
 //BA.debugLineNum = 212;BA.debugLine="If vgLetras <> \"\" And wLetras <> \"\" Then";
if ((mostCurrent._vgletras).equals("") == false && (mostCurrent._wletras).equals("") == false) { 
 //BA.debugLineNum = 213;BA.debugLine="vgLetras = vgLetras & \" \"";
mostCurrent._vgletras = mostCurrent._vgletras+" ";
 };
 //BA.debugLineNum = 215;BA.debugLine="vgLetras = vgLetras  & wLetras";
mostCurrent._vgletras = mostCurrent._vgletras+mostCurrent._wletras;
 };
 //BA.debugLineNum = 217;BA.debugLine="If wLetra3 <> \"000\" Then";
if ((mostCurrent._wletra3).equals("000") == false) { 
 //BA.debugLineNum = 218;BA.debugLine="wNum = wLetra3";
_wnum = (long)(Double.parseDouble(mostCurrent._wletra3));
 //BA.debugLineNum = 219;BA.debugLine="Paso = 3";
_paso = (int) (3);
 //BA.debugLineNum = 220;BA.debugLine="wLetras = \"\"";
mostCurrent._wletras = "";
 //BA.debugLineNum = 221;BA.debugLine="If wNum = 1 Then";
if (_wnum==1) { 
 //BA.debugLineNum = 222;BA.debugLine="wLetras = \"Un Millon\"";
mostCurrent._wletras = "Un Millon";
 }else {
 //BA.debugLineNum = 224;BA.debugLine="Analisis";
_analisis();
 //BA.debugLineNum = 225;BA.debugLine="wLetras = wLetras & \" Millones\"";
mostCurrent._wletras = mostCurrent._wletras+" Millones";
 };
 //BA.debugLineNum = 227;BA.debugLine="If vgLetras <> \"\" And wLetras <> \"\" Then";
if ((mostCurrent._vgletras).equals("") == false && (mostCurrent._wletras).equals("") == false) { 
 //BA.debugLineNum = 228;BA.debugLine="vgLetras = vgLetras & \" \"";
mostCurrent._vgletras = mostCurrent._vgletras+" ";
 };
 //BA.debugLineNum = 230;BA.debugLine="vgLetras = vgLetras & wLetras";
mostCurrent._vgletras = mostCurrent._vgletras+mostCurrent._wletras;
 };
 //BA.debugLineNum = 232;BA.debugLine="If wLetra2 <> \"000\" Then";
if ((mostCurrent._wletra2).equals("000") == false) { 
 //BA.debugLineNum = 233;BA.debugLine="wNum = wLetra2";
_wnum = (long)(Double.parseDouble(mostCurrent._wletra2));
 //BA.debugLineNum = 234;BA.debugLine="Paso = 2";
_paso = (int) (2);
 //BA.debugLineNum = 235;BA.debugLine="wLetras = \"\"";
mostCurrent._wletras = "";
 //BA.debugLineNum = 236;BA.debugLine="If wNum = 1 Then";
if (_wnum==1) { 
 //BA.debugLineNum = 237;BA.debugLine="wLetras = \"Un Mil\"";
mostCurrent._wletras = "Un Mil";
 }else {
 //BA.debugLineNum = 239;BA.debugLine="Analisis";
_analisis();
 //BA.debugLineNum = 240;BA.debugLine="wLetras = wLetras & \" Mil\"";
mostCurrent._wletras = mostCurrent._wletras+" Mil";
 };
 //BA.debugLineNum = 242;BA.debugLine="If vgLetras <> \"\" And wLetras <> \"\" Then";
if ((mostCurrent._vgletras).equals("") == false && (mostCurrent._wletras).equals("") == false) { 
 //BA.debugLineNum = 243;BA.debugLine="vgLetras = vgLetras & \" \"";
mostCurrent._vgletras = mostCurrent._vgletras+" ";
 };
 //BA.debugLineNum = 245;BA.debugLine="vgLetras = vgLetras & wLetras";
mostCurrent._vgletras = mostCurrent._vgletras+mostCurrent._wletras;
 };
 //BA.debugLineNum = 247;BA.debugLine="If wLetra1 <> \"000\" Then";
if ((mostCurrent._wletra1).equals("000") == false) { 
 //BA.debugLineNum = 248;BA.debugLine="wNum = wLetra1";
_wnum = (long)(Double.parseDouble(mostCurrent._wletra1));
 //BA.debugLineNum = 249;BA.debugLine="Paso = 1";
_paso = (int) (1);
 //BA.debugLineNum = 250;BA.debugLine="wLetras = \"\"";
mostCurrent._wletras = "";
 //BA.debugLineNum = 251;BA.debugLine="Analisis";
_analisis();
 //BA.debugLineNum = 252;BA.debugLine="If vgLetras <> \"\" And wLetras <> \"\" Then";
if ((mostCurrent._vgletras).equals("") == false && (mostCurrent._wletras).equals("") == false) { 
 //BA.debugLineNum = 253;BA.debugLine="vgLetras = vgLetras & \" \"";
mostCurrent._vgletras = mostCurrent._vgletras+" ";
 };
 //BA.debugLineNum = 255;BA.debugLine="vgLetras = vgLetras & wLetras";
mostCurrent._vgletras = mostCurrent._vgletras+mostCurrent._wletras;
 };
 //BA.debugLineNum = 258;BA.debugLine="If lyCentavos > 0 Then";
if (_lycentavos>0) { 
 //BA.debugLineNum = 259;BA.debugLine="vgLetras = vgLetras  & \" Con \" & lyCentavos";
mostCurrent._vgletras = mostCurrent._vgletras+" Con "+BA.NumberToString(_lycentavos)+"/100.-";
 }else {
 //BA.debugLineNum = 261;BA.debugLine="vgLetras = vgLetras  & \".-\"";
mostCurrent._vgletras = mostCurrent._vgletras+".-";
 };
 //BA.debugLineNum = 263;BA.debugLine="Relleno";
_relleno();
 //BA.debugLineNum = 264;BA.debugLine="Label6.Text = vgLetras";
mostCurrent._label6.setText(BA.ObjectToCharSequence(mostCurrent._vgletras));
 //BA.debugLineNum = 265;BA.debugLine="If vbMayusculas = True Then";
if (_vbmayusculas==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 266;BA.debugLine="Label6.Text = vgLetras.ToUpperCase";
mostCurrent._label6.setText(BA.ObjectToCharSequence(mostCurrent._vgletras.toUpperCase()));
 };
 //BA.debugLineNum = 268;BA.debugLine="If vbMinusculas = True Then";
if (_vbminusculas==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 269;BA.debugLine="Label6.Text = vgLetras.ToLowerCase";
mostCurrent._label6.setText(BA.ObjectToCharSequence(mostCurrent._vgletras.toLowerCase()));
 };
 };
 //BA.debugLineNum = 272;BA.debugLine="End Sub";
return "";
}
public static String  _botlimpiar_click() throws Exception{
 //BA.debugLineNum = 341;BA.debugLine="Sub BotLimpiar_Click";
 //BA.debugLineNum = 342;BA.debugLine="EditText1.Text = \"\"";
mostCurrent._edittext1.setText(BA.ObjectToCharSequence(""));
 //BA.debugLineNum = 343;BA.debugLine="EditText1.RequestFocus()";
mostCurrent._edittext1.RequestFocus();
 //BA.debugLineNum = 344;BA.debugLine="Label6.Text = \"\"";
mostCurrent._label6.setText(BA.ObjectToCharSequence(""));
 //BA.debugLineNum = 345;BA.debugLine="End Sub";
return "";
}
public static String  _buscardecimales() throws Exception{
String _st = "";
anywheresoftware.b4a.keywords.Regex.MatcherWrapper _m = null;
 //BA.debugLineNum = 312;BA.debugLine="Sub BuscarDecimales";
 //BA.debugLineNum = 313;BA.debugLine="Dim st As String";
_st = "";
 //BA.debugLineNum = 314;BA.debugLine="st = EditText1.Text";
_st = mostCurrent._edittext1.getText();
 //BA.debugLineNum = 315;BA.debugLine="Dim m As Matcher = Regex.Matcher(\",\", st)";
_m = new anywheresoftware.b4a.keywords.Regex.MatcherWrapper();
_m = anywheresoftware.b4a.keywords.Common.Regex.Matcher(",",_st);
 //BA.debugLineNum = 316;BA.debugLine="If m.Find Then";
if (_m.Find()) { 
 //BA.debugLineNum = 317;BA.debugLine="wEncontro = True";
_wencontro = anywheresoftware.b4a.keywords.Common.True;
 };
 //BA.debugLineNum = 319;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 20;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 27;BA.debugLine="Dim vbMayusculas     As Boolean = False 'Si neces";
_vbmayusculas = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 28;BA.debugLine="Dim vbMinusculas     As Boolean = False 'Si neces";
_vbminusculas = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 29;BA.debugLine="Dim vsProteccion     As String = \"-\"	'Para utiliz";
mostCurrent._vsproteccion = "-";
 //BA.debugLineNum = 32;BA.debugLine="Dim IME As IME";
mostCurrent._ime = new anywheresoftware.b4a.objects.IME();
 //BA.debugLineNum = 33;BA.debugLine="Private BotCerrar As Button";
mostCurrent._botcerrar = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 34;BA.debugLine="Private Label1 As Label";
mostCurrent._label1 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 35;BA.debugLine="Private Label2 As Label";
mostCurrent._label2 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 36;BA.debugLine="Private EditText1 As EditText";
mostCurrent._edittext1 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 37;BA.debugLine="Private BotConversor As Button";
mostCurrent._botconversor = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 38;BA.debugLine="Private Label3 As Label";
mostCurrent._label3 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 39;BA.debugLine="Private Label4 As Label";
mostCurrent._label4 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 40;BA.debugLine="Private Label5 As Label";
mostCurrent._label5 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 41;BA.debugLine="Private Label6 As Label";
mostCurrent._label6 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 42;BA.debugLine="Private Label7 As Label";
mostCurrent._label7 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 45;BA.debugLine="Dim lyCantidad As Long";
_lycantidad = 0L;
 //BA.debugLineNum = 46;BA.debugLine="Dim lyCentavos As Int";
_lycentavos = 0;
 //BA.debugLineNum = 47;BA.debugLine="Dim wNum As Long";
_wnum = 0L;
 //BA.debugLineNum = 48;BA.debugLine="Dim wLetra1 As String";
mostCurrent._wletra1 = "";
 //BA.debugLineNum = 49;BA.debugLine="Dim wLetra2 As String";
mostCurrent._wletra2 = "";
 //BA.debugLineNum = 50;BA.debugLine="Dim wLetra3 As String";
mostCurrent._wletra3 = "";
 //BA.debugLineNum = 51;BA.debugLine="Dim wLetra4 As String";
mostCurrent._wletra4 = "";
 //BA.debugLineNum = 52;BA.debugLine="Dim wLetra5 As String";
mostCurrent._wletra5 = "";
 //BA.debugLineNum = 53;BA.debugLine="Dim wEncontro As Boolean";
_wencontro = false;
 //BA.debugLineNum = 54;BA.debugLine="Dim vgLetras As String";
mostCurrent._vgletras = "";
 //BA.debugLineNum = 55;BA.debugLine="Dim wLetras As String";
mostCurrent._wletras = "";
 //BA.debugLineNum = 56;BA.debugLine="Dim wDecena(100) As String";
mostCurrent._wdecena = new String[(int) (100)];
java.util.Arrays.fill(mostCurrent._wdecena,"");
 //BA.debugLineNum = 57;BA.debugLine="Dim wDecenaMil(100) As String";
mostCurrent._wdecenamil = new String[(int) (100)];
java.util.Arrays.fill(mostCurrent._wdecenamil,"");
 //BA.debugLineNum = 58;BA.debugLine="Dim R As Int";
_r = 0;
 //BA.debugLineNum = 59;BA.debugLine="Dim S As Int";
_s = 0;
 //BA.debugLineNum = 60;BA.debugLine="Dim P As Int";
_p = 0;
 //BA.debugLineNum = 61;BA.debugLine="Dim Paso As Int";
_paso = 0;
 //BA.debugLineNum = 62;BA.debugLine="wDecena(1) = \"Uno\":wDecena(2) = \"Dos\":wDecena(3)";
mostCurrent._wdecena[(int) (1)] = "Uno";
 //BA.debugLineNum = 62;BA.debugLine="wDecena(1) = \"Uno\":wDecena(2) = \"Dos\":wDecena(3)";
mostCurrent._wdecena[(int) (2)] = "Dos";
 //BA.debugLineNum = 62;BA.debugLine="wDecena(1) = \"Uno\":wDecena(2) = \"Dos\":wDecena(3)";
mostCurrent._wdecena[(int) (3)] = "Tres";
 //BA.debugLineNum = 62;BA.debugLine="wDecena(1) = \"Uno\":wDecena(2) = \"Dos\":wDecena(3)";
mostCurrent._wdecena[(int) (4)] = "Cuatro";
 //BA.debugLineNum = 62;BA.debugLine="wDecena(1) = \"Uno\":wDecena(2) = \"Dos\":wDecena(3)";
mostCurrent._wdecena[(int) (5)] = "Cinco";
 //BA.debugLineNum = 62;BA.debugLine="wDecena(1) = \"Uno\":wDecena(2) = \"Dos\":wDecena(3)";
mostCurrent._wdecena[(int) (6)] = "Seis";
 //BA.debugLineNum = 62;BA.debugLine="wDecena(1) = \"Uno\":wDecena(2) = \"Dos\":wDecena(3)";
mostCurrent._wdecena[(int) (7)] = "Siete";
 //BA.debugLineNum = 62;BA.debugLine="wDecena(1) = \"Uno\":wDecena(2) = \"Dos\":wDecena(3)";
mostCurrent._wdecena[(int) (8)] = "Ocho";
 //BA.debugLineNum = 62;BA.debugLine="wDecena(1) = \"Uno\":wDecena(2) = \"Dos\":wDecena(3)";
mostCurrent._wdecena[(int) (9)] = "Nueve";
 //BA.debugLineNum = 63;BA.debugLine="wDecena(10) = \"Diez\":wDecena(11) = \"Once\":wDecena";
mostCurrent._wdecena[(int) (10)] = "Diez";
 //BA.debugLineNum = 63;BA.debugLine="wDecena(10) = \"Diez\":wDecena(11) = \"Once\":wDecena";
mostCurrent._wdecena[(int) (11)] = "Once";
 //BA.debugLineNum = 63;BA.debugLine="wDecena(10) = \"Diez\":wDecena(11) = \"Once\":wDecena";
mostCurrent._wdecena[(int) (12)] = "Doce";
 //BA.debugLineNum = 63;BA.debugLine="wDecena(10) = \"Diez\":wDecena(11) = \"Once\":wDecena";
mostCurrent._wdecena[(int) (13)] = "Trece";
 //BA.debugLineNum = 63;BA.debugLine="wDecena(10) = \"Diez\":wDecena(11) = \"Once\":wDecena";
mostCurrent._wdecena[(int) (14)] = "Catorce";
 //BA.debugLineNum = 63;BA.debugLine="wDecena(10) = \"Diez\":wDecena(11) = \"Once\":wDecena";
mostCurrent._wdecena[(int) (15)] = "Quince";
 //BA.debugLineNum = 63;BA.debugLine="wDecena(10) = \"Diez\":wDecena(11) = \"Once\":wDecena";
mostCurrent._wdecena[(int) (16)] = "Dieciseis";
 //BA.debugLineNum = 63;BA.debugLine="wDecena(10) = \"Diez\":wDecena(11) = \"Once\":wDecena";
mostCurrent._wdecena[(int) (17)] = "Diecisiete";
 //BA.debugLineNum = 63;BA.debugLine="wDecena(10) = \"Diez\":wDecena(11) = \"Once\":wDecena";
mostCurrent._wdecena[(int) (18)] = "Dieciocho";
 //BA.debugLineNum = 63;BA.debugLine="wDecena(10) = \"Diez\":wDecena(11) = \"Once\":wDecena";
mostCurrent._wdecena[(int) (19)] = "Diecinueve";
 //BA.debugLineNum = 64;BA.debugLine="wDecena(20) = \"Veinte\":wDecena(21) = \"Veintiuno\":";
mostCurrent._wdecena[(int) (20)] = "Veinte";
 //BA.debugLineNum = 64;BA.debugLine="wDecena(20) = \"Veinte\":wDecena(21) = \"Veintiuno\":";
mostCurrent._wdecena[(int) (21)] = "Veintiuno";
 //BA.debugLineNum = 64;BA.debugLine="wDecena(20) = \"Veinte\":wDecena(21) = \"Veintiuno\":";
mostCurrent._wdecena[(int) (22)] = "Veintidos";
 //BA.debugLineNum = 64;BA.debugLine="wDecena(20) = \"Veinte\":wDecena(21) = \"Veintiuno\":";
mostCurrent._wdecena[(int) (23)] = "Veintitres";
 //BA.debugLineNum = 64;BA.debugLine="wDecena(20) = \"Veinte\":wDecena(21) = \"Veintiuno\":";
mostCurrent._wdecena[(int) (24)] = "Veiticuatro";
 //BA.debugLineNum = 64;BA.debugLine="wDecena(20) = \"Veinte\":wDecena(21) = \"Veintiuno\":";
mostCurrent._wdecena[(int) (25)] = "Veinticinco";
 //BA.debugLineNum = 64;BA.debugLine="wDecena(20) = \"Veinte\":wDecena(21) = \"Veintiuno\":";
mostCurrent._wdecena[(int) (26)] = "Veintiseis";
 //BA.debugLineNum = 64;BA.debugLine="wDecena(20) = \"Veinte\":wDecena(21) = \"Veintiuno\":";
mostCurrent._wdecena[(int) (27)] = "Veintisiete";
 //BA.debugLineNum = 64;BA.debugLine="wDecena(20) = \"Veinte\":wDecena(21) = \"Veintiuno\":";
mostCurrent._wdecena[(int) (28)] = "Veintiocho";
 //BA.debugLineNum = 64;BA.debugLine="wDecena(20) = \"Veinte\":wDecena(21) = \"Veintiuno\":";
mostCurrent._wdecena[(int) (29)] = "Veintinueve";
 //BA.debugLineNum = 65;BA.debugLine="wDecena(30) = \"Treinta\":wDecena(31) = \"Treinta y";
mostCurrent._wdecena[(int) (30)] = "Treinta";
 //BA.debugLineNum = 65;BA.debugLine="wDecena(30) = \"Treinta\":wDecena(31) = \"Treinta y";
mostCurrent._wdecena[(int) (31)] = "Treinta y Uno";
 //BA.debugLineNum = 65;BA.debugLine="wDecena(30) = \"Treinta\":wDecena(31) = \"Treinta y";
mostCurrent._wdecena[(int) (32)] = "Treinta y Dos";
 //BA.debugLineNum = 65;BA.debugLine="wDecena(30) = \"Treinta\":wDecena(31) = \"Treinta y";
mostCurrent._wdecena[(int) (33)] = "Treinta y Tres";
 //BA.debugLineNum = 65;BA.debugLine="wDecena(30) = \"Treinta\":wDecena(31) = \"Treinta y";
mostCurrent._wdecena[(int) (34)] = "Treinta y Cuatro";
 //BA.debugLineNum = 65;BA.debugLine="wDecena(30) = \"Treinta\":wDecena(31) = \"Treinta y";
mostCurrent._wdecena[(int) (35)] = "Treinta y Cinco";
 //BA.debugLineNum = 65;BA.debugLine="wDecena(30) = \"Treinta\":wDecena(31) = \"Treinta y";
mostCurrent._wdecena[(int) (36)] = "Treinta y Seis";
 //BA.debugLineNum = 65;BA.debugLine="wDecena(30) = \"Treinta\":wDecena(31) = \"Treinta y";
mostCurrent._wdecena[(int) (37)] = "Treinta y Siete";
 //BA.debugLineNum = 65;BA.debugLine="wDecena(30) = \"Treinta\":wDecena(31) = \"Treinta y";
mostCurrent._wdecena[(int) (38)] = "Treinta y Ocho";
 //BA.debugLineNum = 65;BA.debugLine="wDecena(30) = \"Treinta\":wDecena(31) = \"Treinta y";
mostCurrent._wdecena[(int) (39)] = "Treinta y Nueve";
 //BA.debugLineNum = 66;BA.debugLine="wDecena(40) = \"Cuarenta\":wDecena(41) = \"Cuarenta";
mostCurrent._wdecena[(int) (40)] = "Cuarenta";
 //BA.debugLineNum = 66;BA.debugLine="wDecena(40) = \"Cuarenta\":wDecena(41) = \"Cuarenta";
mostCurrent._wdecena[(int) (41)] = "Cuarenta y Uno";
 //BA.debugLineNum = 66;BA.debugLine="wDecena(40) = \"Cuarenta\":wDecena(41) = \"Cuarenta";
mostCurrent._wdecena[(int) (42)] = "Cuarenta y Dos";
 //BA.debugLineNum = 66;BA.debugLine="wDecena(40) = \"Cuarenta\":wDecena(41) = \"Cuarenta";
mostCurrent._wdecena[(int) (43)] = "Cuarenta y Tres";
 //BA.debugLineNum = 66;BA.debugLine="wDecena(40) = \"Cuarenta\":wDecena(41) = \"Cuarenta";
mostCurrent._wdecena[(int) (44)] = "Cuarenta y Cuatro";
 //BA.debugLineNum = 66;BA.debugLine="wDecena(40) = \"Cuarenta\":wDecena(41) = \"Cuarenta";
mostCurrent._wdecena[(int) (45)] = "Cuarenta y Cinco";
 //BA.debugLineNum = 66;BA.debugLine="wDecena(40) = \"Cuarenta\":wDecena(41) = \"Cuarenta";
mostCurrent._wdecena[(int) (46)] = "Cuarenta y Seis";
 //BA.debugLineNum = 66;BA.debugLine="wDecena(40) = \"Cuarenta\":wDecena(41) = \"Cuarenta";
mostCurrent._wdecena[(int) (47)] = "Cuarenta y Siete";
 //BA.debugLineNum = 66;BA.debugLine="wDecena(40) = \"Cuarenta\":wDecena(41) = \"Cuarenta";
mostCurrent._wdecena[(int) (48)] = "Cuarenta y Ocho";
 //BA.debugLineNum = 66;BA.debugLine="wDecena(40) = \"Cuarenta\":wDecena(41) = \"Cuarenta";
mostCurrent._wdecena[(int) (49)] = "Cuarenta y Nueve";
 //BA.debugLineNum = 67;BA.debugLine="wDecena(50) = \"Cincuenta\":wDecena(51) = \"Cincuent";
mostCurrent._wdecena[(int) (50)] = "Cincuenta";
 //BA.debugLineNum = 67;BA.debugLine="wDecena(50) = \"Cincuenta\":wDecena(51) = \"Cincuent";
mostCurrent._wdecena[(int) (51)] = "Cincuenta y Uno";
 //BA.debugLineNum = 67;BA.debugLine="wDecena(50) = \"Cincuenta\":wDecena(51) = \"Cincuent";
mostCurrent._wdecena[(int) (52)] = "Cincuenta y Dos";
 //BA.debugLineNum = 67;BA.debugLine="wDecena(50) = \"Cincuenta\":wDecena(51) = \"Cincuent";
mostCurrent._wdecena[(int) (53)] = "Cincuenta y Tres";
 //BA.debugLineNum = 67;BA.debugLine="wDecena(50) = \"Cincuenta\":wDecena(51) = \"Cincuent";
mostCurrent._wdecena[(int) (54)] = "Cincuenta y Cuatro";
 //BA.debugLineNum = 67;BA.debugLine="wDecena(50) = \"Cincuenta\":wDecena(51) = \"Cincuent";
mostCurrent._wdecena[(int) (55)] = "Cincuenta y Cinco";
 //BA.debugLineNum = 67;BA.debugLine="wDecena(50) = \"Cincuenta\":wDecena(51) = \"Cincuent";
mostCurrent._wdecena[(int) (56)] = "Cincuenta y Seis";
 //BA.debugLineNum = 67;BA.debugLine="wDecena(50) = \"Cincuenta\":wDecena(51) = \"Cincuent";
mostCurrent._wdecena[(int) (57)] = "Cincuenta y Siete";
 //BA.debugLineNum = 67;BA.debugLine="wDecena(50) = \"Cincuenta\":wDecena(51) = \"Cincuent";
mostCurrent._wdecena[(int) (58)] = "Cincuenta y Ocho";
 //BA.debugLineNum = 67;BA.debugLine="wDecena(50) = \"Cincuenta\":wDecena(51) = \"Cincuent";
mostCurrent._wdecena[(int) (59)] = "Cincuenta y Nueve";
 //BA.debugLineNum = 68;BA.debugLine="wDecena(60) = \"Sesenta\":wDecena(61) = \"Sesenta y";
mostCurrent._wdecena[(int) (60)] = "Sesenta";
 //BA.debugLineNum = 68;BA.debugLine="wDecena(60) = \"Sesenta\":wDecena(61) = \"Sesenta y";
mostCurrent._wdecena[(int) (61)] = "Sesenta y Uno";
 //BA.debugLineNum = 68;BA.debugLine="wDecena(60) = \"Sesenta\":wDecena(61) = \"Sesenta y";
mostCurrent._wdecena[(int) (62)] = "Sesenta y Dos";
 //BA.debugLineNum = 68;BA.debugLine="wDecena(60) = \"Sesenta\":wDecena(61) = \"Sesenta y";
mostCurrent._wdecena[(int) (63)] = "Sesenta y Tres";
 //BA.debugLineNum = 68;BA.debugLine="wDecena(60) = \"Sesenta\":wDecena(61) = \"Sesenta y";
mostCurrent._wdecena[(int) (64)] = "Sesenta y Cuatro";
 //BA.debugLineNum = 68;BA.debugLine="wDecena(60) = \"Sesenta\":wDecena(61) = \"Sesenta y";
mostCurrent._wdecena[(int) (65)] = "Sesenta y Cinco";
 //BA.debugLineNum = 68;BA.debugLine="wDecena(60) = \"Sesenta\":wDecena(61) = \"Sesenta y";
mostCurrent._wdecena[(int) (66)] = "Sesenta y Seis";
 //BA.debugLineNum = 68;BA.debugLine="wDecena(60) = \"Sesenta\":wDecena(61) = \"Sesenta y";
mostCurrent._wdecena[(int) (67)] = "Sesenta y Siete";
 //BA.debugLineNum = 68;BA.debugLine="wDecena(60) = \"Sesenta\":wDecena(61) = \"Sesenta y";
mostCurrent._wdecena[(int) (68)] = "Sesenta y Ocho";
 //BA.debugLineNum = 68;BA.debugLine="wDecena(60) = \"Sesenta\":wDecena(61) = \"Sesenta y";
mostCurrent._wdecena[(int) (69)] = "Sesenta y Nueve";
 //BA.debugLineNum = 69;BA.debugLine="wDecena(70) = \"Setenta\":wDecena(71) = \"Setenta y";
mostCurrent._wdecena[(int) (70)] = "Setenta";
 //BA.debugLineNum = 69;BA.debugLine="wDecena(70) = \"Setenta\":wDecena(71) = \"Setenta y";
mostCurrent._wdecena[(int) (71)] = "Setenta y Uno";
 //BA.debugLineNum = 69;BA.debugLine="wDecena(70) = \"Setenta\":wDecena(71) = \"Setenta y";
mostCurrent._wdecena[(int) (72)] = "Setenta y Dos";
 //BA.debugLineNum = 69;BA.debugLine="wDecena(70) = \"Setenta\":wDecena(71) = \"Setenta y";
mostCurrent._wdecena[(int) (73)] = "Setenta y Tres";
 //BA.debugLineNum = 69;BA.debugLine="wDecena(70) = \"Setenta\":wDecena(71) = \"Setenta y";
mostCurrent._wdecena[(int) (74)] = "Setenta y Cuatro";
 //BA.debugLineNum = 69;BA.debugLine="wDecena(70) = \"Setenta\":wDecena(71) = \"Setenta y";
mostCurrent._wdecena[(int) (75)] = "Setenta y Cinco";
 //BA.debugLineNum = 69;BA.debugLine="wDecena(70) = \"Setenta\":wDecena(71) = \"Setenta y";
mostCurrent._wdecena[(int) (76)] = "Setenta y Seis";
 //BA.debugLineNum = 69;BA.debugLine="wDecena(70) = \"Setenta\":wDecena(71) = \"Setenta y";
mostCurrent._wdecena[(int) (77)] = "Setenta y Siete";
 //BA.debugLineNum = 69;BA.debugLine="wDecena(70) = \"Setenta\":wDecena(71) = \"Setenta y";
mostCurrent._wdecena[(int) (78)] = "Setenta y Ocho";
 //BA.debugLineNum = 69;BA.debugLine="wDecena(70) = \"Setenta\":wDecena(71) = \"Setenta y";
mostCurrent._wdecena[(int) (79)] = "Setenta y Nueve";
 //BA.debugLineNum = 70;BA.debugLine="wDecena(80) = \"Ochenta\":wDecena(81) = \"Ocheta y U";
mostCurrent._wdecena[(int) (80)] = "Ochenta";
 //BA.debugLineNum = 70;BA.debugLine="wDecena(80) = \"Ochenta\":wDecena(81) = \"Ocheta y U";
mostCurrent._wdecena[(int) (81)] = "Ocheta y Uno";
 //BA.debugLineNum = 70;BA.debugLine="wDecena(80) = \"Ochenta\":wDecena(81) = \"Ocheta y U";
mostCurrent._wdecena[(int) (82)] = "Ochenta y Dos";
 //BA.debugLineNum = 70;BA.debugLine="wDecena(80) = \"Ochenta\":wDecena(81) = \"Ocheta y U";
mostCurrent._wdecena[(int) (83)] = "Ochenta y Tres";
 //BA.debugLineNum = 70;BA.debugLine="wDecena(80) = \"Ochenta\":wDecena(81) = \"Ocheta y U";
mostCurrent._wdecena[(int) (84)] = "Ochenta y Cuatro";
 //BA.debugLineNum = 70;BA.debugLine="wDecena(80) = \"Ochenta\":wDecena(81) = \"Ocheta y U";
mostCurrent._wdecena[(int) (85)] = "Ochenta y Cinco";
 //BA.debugLineNum = 70;BA.debugLine="wDecena(80) = \"Ochenta\":wDecena(81) = \"Ocheta y U";
mostCurrent._wdecena[(int) (86)] = "Ochenta y Seis";
 //BA.debugLineNum = 70;BA.debugLine="wDecena(80) = \"Ochenta\":wDecena(81) = \"Ocheta y U";
mostCurrent._wdecena[(int) (87)] = "Ochenta y Siete";
 //BA.debugLineNum = 70;BA.debugLine="wDecena(80) = \"Ochenta\":wDecena(81) = \"Ocheta y U";
mostCurrent._wdecena[(int) (88)] = "Ochenta y Ocho";
 //BA.debugLineNum = 70;BA.debugLine="wDecena(80) = \"Ochenta\":wDecena(81) = \"Ocheta y U";
mostCurrent._wdecena[(int) (89)] = "Ochenta y Nueve";
 //BA.debugLineNum = 71;BA.debugLine="wDecena(90) = \"Noventa\":wDecena(91) = \"Noventa y";
mostCurrent._wdecena[(int) (90)] = "Noventa";
 //BA.debugLineNum = 71;BA.debugLine="wDecena(90) = \"Noventa\":wDecena(91) = \"Noventa y";
mostCurrent._wdecena[(int) (91)] = "Noventa y Uno";
 //BA.debugLineNum = 71;BA.debugLine="wDecena(90) = \"Noventa\":wDecena(91) = \"Noventa y";
mostCurrent._wdecena[(int) (92)] = "Noventa y Dos";
 //BA.debugLineNum = 71;BA.debugLine="wDecena(90) = \"Noventa\":wDecena(91) = \"Noventa y";
mostCurrent._wdecena[(int) (93)] = "Noventa y Tres";
 //BA.debugLineNum = 71;BA.debugLine="wDecena(90) = \"Noventa\":wDecena(91) = \"Noventa y";
mostCurrent._wdecena[(int) (94)] = "Noventa y Cuatro";
 //BA.debugLineNum = 71;BA.debugLine="wDecena(90) = \"Noventa\":wDecena(91) = \"Noventa y";
mostCurrent._wdecena[(int) (95)] = "Noventa y Cinco";
 //BA.debugLineNum = 71;BA.debugLine="wDecena(90) = \"Noventa\":wDecena(91) = \"Noventa y";
mostCurrent._wdecena[(int) (96)] = "Noventa y Seis";
 //BA.debugLineNum = 71;BA.debugLine="wDecena(90) = \"Noventa\":wDecena(91) = \"Noventa y";
mostCurrent._wdecena[(int) (97)] = "Noventa y Siete";
 //BA.debugLineNum = 71;BA.debugLine="wDecena(90) = \"Noventa\":wDecena(91) = \"Noventa y";
mostCurrent._wdecena[(int) (98)] = "Noventa y Ocho";
 //BA.debugLineNum = 71;BA.debugLine="wDecena(90) = \"Noventa\":wDecena(91) = \"Noventa y";
mostCurrent._wdecena[(int) (99)] = "Noventa y Nueve";
 //BA.debugLineNum = 72;BA.debugLine="wDecenaMil(1) = \"Un\":wDecenaMil(21) = \"Veintiún\":";
mostCurrent._wdecenamil[(int) (1)] = "Un";
 //BA.debugLineNum = 72;BA.debugLine="wDecenaMil(1) = \"Un\":wDecenaMil(21) = \"Veintiún\":";
mostCurrent._wdecenamil[(int) (21)] = "Veintiún";
 //BA.debugLineNum = 72;BA.debugLine="wDecenaMil(1) = \"Un\":wDecenaMil(21) = \"Veintiún\":";
mostCurrent._wdecenamil[(int) (31)] = "Treinta y Un";
 //BA.debugLineNum = 72;BA.debugLine="wDecenaMil(1) = \"Un\":wDecenaMil(21) = \"Veintiún\":";
mostCurrent._wdecenamil[(int) (41)] = "Cuarenta y Un";
 //BA.debugLineNum = 72;BA.debugLine="wDecenaMil(1) = \"Un\":wDecenaMil(21) = \"Veintiún\":";
mostCurrent._wdecenamil[(int) (51)] = "Cincuenta y Un";
 //BA.debugLineNum = 72;BA.debugLine="wDecenaMil(1) = \"Un\":wDecenaMil(21) = \"Veintiún\":";
mostCurrent._wdecenamil[(int) (61)] = "Sesenta y Un";
 //BA.debugLineNum = 72;BA.debugLine="wDecenaMil(1) = \"Un\":wDecenaMil(21) = \"Veintiún\":";
mostCurrent._wdecenamil[(int) (71)] = "Setenta y Un";
 //BA.debugLineNum = 72;BA.debugLine="wDecenaMil(1) = \"Un\":wDecenaMil(21) = \"Veintiún\":";
mostCurrent._wdecenamil[(int) (81)] = "Ochenta y Un";
 //BA.debugLineNum = 72;BA.debugLine="wDecenaMil(1) = \"Un\":wDecenaMil(21) = \"Veintiún\":";
mostCurrent._wdecenamil[(int) (91)] = "Noventa y Un";
 //BA.debugLineNum = 73;BA.debugLine="Dim wCentena(10) As String";
mostCurrent._wcentena = new String[(int) (10)];
java.util.Arrays.fill(mostCurrent._wcentena,"");
 //BA.debugLineNum = 74;BA.debugLine="wCentena(1) = \"Ciento\"";
mostCurrent._wcentena[(int) (1)] = "Ciento";
 //BA.debugLineNum = 75;BA.debugLine="wCentena(2) = \"Doscientos\"";
mostCurrent._wcentena[(int) (2)] = "Doscientos";
 //BA.debugLineNum = 76;BA.debugLine="wCentena(3) = \"Trescientos\"";
mostCurrent._wcentena[(int) (3)] = "Trescientos";
 //BA.debugLineNum = 77;BA.debugLine="wCentena(4) = \"Cuatrocientos\"";
mostCurrent._wcentena[(int) (4)] = "Cuatrocientos";
 //BA.debugLineNum = 78;BA.debugLine="wCentena(5) = \"Quinientos\"";
mostCurrent._wcentena[(int) (5)] = "Quinientos";
 //BA.debugLineNum = 79;BA.debugLine="wCentena(6) = \"Seiscientos\"";
mostCurrent._wcentena[(int) (6)] = "Seiscientos";
 //BA.debugLineNum = 80;BA.debugLine="wCentena(7) = \"Setecientos\"";
mostCurrent._wcentena[(int) (7)] = "Setecientos";
 //BA.debugLineNum = 81;BA.debugLine="wCentena(8) = \"Ochocientos\"";
mostCurrent._wcentena[(int) (8)] = "Ochocientos";
 //BA.debugLineNum = 82;BA.debugLine="wCentena(9) = \"Novecientos\"";
mostCurrent._wcentena[(int) (9)] = "Novecientos";
 //BA.debugLineNum = 83;BA.debugLine="Dim vsValor          As String";
mostCurrent._vsvalor = "";
 //BA.debugLineNum = 84;BA.debugLine="Dim vsSALIDA1        As String";
mostCurrent._vssalida1 = "";
 //BA.debugLineNum = 85;BA.debugLine="Dim vsSALIDA2        As String";
mostCurrent._vssalida2 = "";
 //BA.debugLineNum = 86;BA.debugLine="Dim vsSALIDA3        As String";
mostCurrent._vssalida3 = "";
 //BA.debugLineNum = 87;BA.debugLine="Private BotLimpiar As Button";
mostCurrent._botlimpiar = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 88;BA.debugLine="Dim colActive As Int = Colors.Black";
_colactive = anywheresoftware.b4a.keywords.Common.Colors.Black;
 //BA.debugLineNum = 89;BA.debugLine="Dim colInactive As Int = Colors.LightGray";
_colinactive = anywheresoftware.b4a.keywords.Common.Colors.LightGray;
 //BA.debugLineNum = 90;BA.debugLine="Dim wPase As Boolean = False";
_wpase = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 91;BA.debugLine="End Sub";
return "";
}
public static String  _label3_click() throws Exception{
 //BA.debugLineNum = 349;BA.debugLine="Sub Label3_Click";
 //BA.debugLineNum = 350;BA.debugLine="vbMinusculas = False";
_vbminusculas = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 351;BA.debugLine="vbMayusculas = False";
_vbmayusculas = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 352;BA.debugLine="Label3.Color = Colors.RGB(255,0,0)";
mostCurrent._label3.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (255),(int) (0),(int) (0)));
 //BA.debugLineNum = 353;BA.debugLine="Label3.textcolor=colActive";
mostCurrent._label3.setTextColor(_colactive);
 //BA.debugLineNum = 354;BA.debugLine="Label4.Color = Colors.RGB(255,255,255)";
mostCurrent._label4.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (255),(int) (255),(int) (255)));
 //BA.debugLineNum = 355;BA.debugLine="Label4.textcolor=colInactive";
mostCurrent._label4.setTextColor(_colinactive);
 //BA.debugLineNum = 356;BA.debugLine="Label7.Color = Colors.RGB(255,255,255)";
mostCurrent._label7.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (255),(int) (255),(int) (255)));
 //BA.debugLineNum = 357;BA.debugLine="Label7.textcolor=colInactive";
mostCurrent._label7.setTextColor(_colinactive);
 //BA.debugLineNum = 358;BA.debugLine="End Sub";
return "";
}
public static String  _label4_click() throws Exception{
 //BA.debugLineNum = 360;BA.debugLine="Sub Label4_Click";
 //BA.debugLineNum = 361;BA.debugLine="vbMinusculas = True";
_vbminusculas = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 362;BA.debugLine="vbMayusculas = False";
_vbmayusculas = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 363;BA.debugLine="Label3.Color = Colors.RGB(255,255,255)";
mostCurrent._label3.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (255),(int) (255),(int) (255)));
 //BA.debugLineNum = 364;BA.debugLine="Label3.textcolor=colInactive";
mostCurrent._label3.setTextColor(_colinactive);
 //BA.debugLineNum = 365;BA.debugLine="Label4.Color = Colors.RGB(255,0,0)";
mostCurrent._label4.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (255),(int) (0),(int) (0)));
 //BA.debugLineNum = 366;BA.debugLine="Label4.textcolor=colActive";
mostCurrent._label4.setTextColor(_colactive);
 //BA.debugLineNum = 367;BA.debugLine="Label7.Color = Colors.RGB(255,255,255)";
mostCurrent._label7.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (255),(int) (255),(int) (255)));
 //BA.debugLineNum = 368;BA.debugLine="Label7.textcolor=colInactive";
mostCurrent._label7.setTextColor(_colinactive);
 //BA.debugLineNum = 369;BA.debugLine="End Sub";
return "";
}
public static String  _label7_click() throws Exception{
 //BA.debugLineNum = 371;BA.debugLine="Sub Label7_Click";
 //BA.debugLineNum = 372;BA.debugLine="vbMinusculas = False";
_vbminusculas = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 373;BA.debugLine="vbMayusculas = True";
_vbmayusculas = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 374;BA.debugLine="Label3.Color = Colors.RGB(255,255,255)";
mostCurrent._label3.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (255),(int) (255),(int) (255)));
 //BA.debugLineNum = 375;BA.debugLine="Label3.textcolor=colInactive";
mostCurrent._label3.setTextColor(_colinactive);
 //BA.debugLineNum = 376;BA.debugLine="Label4.Color = Colors.RGB(255,255,255)";
mostCurrent._label4.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (255),(int) (255),(int) (255)));
 //BA.debugLineNum = 377;BA.debugLine="Label4.textcolor=colInactive";
mostCurrent._label4.setTextColor(_colinactive);
 //BA.debugLineNum = 378;BA.debugLine="Label7.Color = Colors.RGB(255,0,0)";
mostCurrent._label7.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (255),(int) (0),(int) (0)));
 //BA.debugLineNum = 379;BA.debugLine="Label7.textcolor=colActive";
mostCurrent._label7.setTextColor(_colactive);
 //BA.debugLineNum = 380;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
starter._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 18;BA.debugLine="End Sub";
return "";
}
public static String  _relleno() throws Exception{
String _lleno = "";
int _i = 0;
int _n = 0;
 //BA.debugLineNum = 321;BA.debugLine="Sub Relleno";
 //BA.debugLineNum = 322;BA.debugLine="Dim lleno As String";
_lleno = "";
 //BA.debugLineNum = 323;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 324;BA.debugLine="lleno  = vgLetras";
_lleno = mostCurrent._vgletras;
 //BA.debugLineNum = 325;BA.debugLine="If vgLetras.Length > 0 Then";
if (mostCurrent._vgletras.length()>0) { 
 //BA.debugLineNum = 326;BA.debugLine="lleno  = \"\"";
_lleno = "";
 //BA.debugLineNum = 327;BA.debugLine="For n = 1 To  vgLetras.Length";
{
final int step6 = 1;
final int limit6 = mostCurrent._vgletras.length();
_n = (int) (1) ;
for (;_n <= limit6 ;_n = _n + step6 ) {
 //BA.debugLineNum = 328;BA.debugLine="lleno = lleno & vgLetras.SubString2(n-1,n)";
_lleno = _lleno+mostCurrent._vgletras.substring((int) (_n-1),_n);
 }
};
 //BA.debugLineNum = 330;BA.debugLine="If vsProteccion <> \"\" Then";
if ((mostCurrent._vsproteccion).equals("") == false) { 
 //BA.debugLineNum = 331;BA.debugLine="i = vgLetras.Length + 1";
_i = (int) (mostCurrent._vgletras.length()+1);
 //BA.debugLineNum = 332;BA.debugLine="For n = i To 255";
{
final int step11 = 1;
final int limit11 = (int) (255);
_n = _i ;
for (;_n <= limit11 ;_n = _n + step11 ) {
 //BA.debugLineNum = 333;BA.debugLine="lleno = lleno & vsProteccion";
_lleno = _lleno+mostCurrent._vsproteccion;
 }
};
 };
 //BA.debugLineNum = 336;BA.debugLine="vgLetras = lleno";
mostCurrent._vgletras = _lleno;
 };
 //BA.debugLineNum = 338;BA.debugLine="End Sub";
return "";
}
}
